Skip to main content
GET
/
agents
/
{agent_id}
/
tools
List Agent Tools
curl --request GET \
  --url https://api.example.com/agents/{agent_id}/tools \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "agent_id": "<string>",
    "tool_key": "<string>",
    "instance_name": "<string>",
    "display_name": "<string>",
    "tool_type": "<string>",
    "enabled": true,
    "is_active": true,
    "version": 123,
    "config": {},
    "description": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "raw_schema": {},
    "rpc_method": "<string>",
    "parameters_schema": {},
    "registry_info": {}
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Query Parameters

include_inactive
boolean
default:false

Response

Successful Response

id
string
required
agent_id
string
required
tool_key
string
required
instance_name
string
required
display_name
string | null
required
tool_type
string
required
enabled
boolean
required
is_active
boolean
required
version
integer
required
config
Config · object
required
description
string | null
required
created_at
string<date-time>
required
raw_schema
Raw Schema · object
rpc_method
string | null
parameters_schema
Parameters Schema · object
registry_info
Registry Info · object